---
title: llarp/layers/platform/deprecated_layer_pimpl.hpp

---

# llarp/layers/platform/deprecated_layer_pimpl.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::layers](Namespaces/namespacellarp_1_1layers.md)**  |
| **[llarp::layers::platform](Namespaces/namespacellarp_1_1layers_1_1platform.md)**  |

## Classes

|                | Name           |
| -------------- | -------------- |
| class | **[llarp::layers::platform::PlatformLayer_pimpl](Classes/classllarp_1_1layers_1_1platform_1_1PlatformLayer__pimpl.md)**  |




## Source code

```cpp
#pragma once
#include "deprecated_driver_pimpl.hpp"

#include <llarp/layers/flow/flow_layer.hpp>
#include <llarp/router/abstractrouter.hpp>
#include <llarp/service/context.hpp>
#include <memory>

namespace llarp::layers::platform
{
  class PlatformLayer_pimpl
  {
    AbstractRouter& _router;
    flow::FlowLayer& _flow_layer;

   public:
    PlatformLayer_pimpl(AbstractRouter& router, flow::FlowLayer& flow_layer)
        : _router{router}, _flow_layer{flow_layer}
    {}

    std::unique_ptr<PlatformDriver>
    make_platform_driver(Config conf)
    {
      return std::make_unique<PlatformDriver>(
          new PlatformDriver_pimpl{_router, _flow_layer, conf.network, conf.dns});
    }
  };
}  // namespace llarp::layers::platform
```


-------------------------------

Updated on 2023-02-08 at 22:18:31 +0000
