---
title: llarp/layers/platform/platform_stats.hpp

---

# llarp/layers/platform/platform_stats.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::layers](Namespaces/namespacellarp_1_1layers.md)**  |
| **[llarp::layers::platform](Namespaces/namespacellarp_1_1layers_1_1platform.md)**  |

## Classes

|                | Name           |
| -------------- | -------------- |
| struct | **[llarp::layers::platform::PlatformStats](Classes/structllarp_1_1layers_1_1platform_1_1PlatformStats.md)**  |




## Source code

```cpp
#pragma once

#include <unordered_set>

#include <llarp/layers/onion/onion_path_info.hpp>
#include <llarp/layers/flow/flow_info.hpp>

namespace llarp::layers::platform
{
  struct PlatformStats
  {
    std::unordered_set<llarp::layers::onion::OnionPathInfo> paths;
    std::unordered_set<llarp::layers::flow::FlowInfo> remotes;
  };
}  // namespace llarp::layers::platform
```


-------------------------------

Updated on 2023-02-08 at 22:18:31 +0000
