---
title: llarp::layers::platform::PlatformLayer
summary: owner of all platform layer components 

---

# llarp::layers::platform::PlatformLayer



owner of all platform layer components 


`#include <platform_layer.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[PlatformLayer](Classes/classllarp_1_1layers_1_1platform_1_1PlatformLayer.md#function-platformlayer)**([AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) & , [flow::FlowLayer](Classes/classllarp_1_1layers_1_1flow_1_1FlowLayer.md) & ) |
| std::unique_ptr< [PlatformDriver](Classes/classllarp_1_1layers_1_1platform_1_1PlatformDriver.md) > | **[make_platform_driver](Classes/classllarp_1_1layers_1_1platform_1_1PlatformLayer.md#function-make-platform-driver)**([Config](Classes/structllarp_1_1Config.md) config)<br>make a new platform layer driver from config.  |

## Public Functions Documentation

### function PlatformLayer

```cpp
PlatformLayer(
    AbstractRouter & ,
    flow::FlowLayer & 
)
```


### function make_platform_driver

```cpp
std::unique_ptr< PlatformDriver > make_platform_driver(
    Config config
)
```

make a new platform layer driver from config. 

-------------------------------

Updated on 2023-02-08 at 22:18:31 +0000