---
title: llarp/layers/flow/flow_stats.hpp

---

# llarp/layers/flow/flow_stats.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::layers](Namespaces/namespacellarp_1_1layers.md)**  |
| **[llarp::layers::flow](Namespaces/namespacellarp_1_1layers_1_1flow.md)**  |

## Classes

|                | Name           |
| -------------- | -------------- |
| struct | **[llarp::layers::flow::FlowStats](Classes/structllarp_1_1layers_1_1flow_1_1FlowStats.md)**  |




## Source code

```cpp
#pragma once

#include <unordered_set>
#include "flow_info.hpp"
#include "llarp/layers/flow/flow_addr.hpp"
#include "llarp/layers/flow/flow_identity.hpp"

namespace llarp::layers::flow
{

  struct FlowStats
  {
    std::unordered_set<FlowInfo> flows;
  };

}  // namespace llarp::layers::flow
```


-------------------------------

Updated on 2023-02-08 at 22:18:31 +0000
